Name: MAKEDEV
Version: 3.0.6
Release: 6
Group: System Environment/Base
Copyright: GPL
Source: MAKEDEV-%{version}-%{release}.tar.gz
Summary: A program used for creating the device files in /dev.
BuildRoot: %{_tmppath}/%{name}-root

%define makedev $RPM_BUILD_ROOT/dev/MAKEDEV -c $RPM_BUILD_ROOT%{_sysconfdir}/makedev.d -d $RPM_BUILD_ROOT/dev

%description
This package contains the MAKEDEV script, which makes it easier to create
and maintain the files in the /dev directory.  /dev directory files
correspond to a particular device supported by Linux (serial or printer
ports, scanners, sound cards, tape drives, CD-ROM drives, hard drives,
etc.) and interface with the drivers in the kernel.

You should install the MAKEDEV package because the MAKEDEV utility makes
it easy to manage the /dev directory device files.

%package -n dev
Group: System Environment/Base
Summary: The most commonly-used entries in the /dev directory.
Prereq: /usr/sbin/groupadd

%description -n dev
The Red Hat Linux operating system uses file system entries to represent
devices (CD-ROMs, floppy drives, etc.) attached to the machine. All of
these entries are in the /dev tree (although they don't have to be).
This package contains the most commonly used /dev entries.

The dev package is a basic part of your Red Hat Linux system and it needs
to be installed.

%prep
%setup -q

%build
make

%install
rm -fr $RPM_BUILD_ROOT
%{makeinstall} devdir=$RPM_BUILD_ROOT/dev
./mksocket $RPM_BUILD_ROOT/dev/log
chmod 666 $RPM_BUILD_ROOT/dev/log
%makedev agpgart
%makedev capi20
%makedev cciss
%makedev cdrom
%makedev console
%makedev -m 4 cua
%makedev -m 64 cui
%ifarch ia64
%makedev efirtc
%endif
%makedev enskip
%makedev fb
%makedev fd
%makedev ftape
%makedev -m 2 ht
%makedev -m 2 i2c
%makedev i2o
%makedev ida
%makedev ibcs
%makedev -m 17 ide0
%makedev -m 17 ide1
%makedev -m 17 ide2
%makedev -m 17 ide3
%makedev initrd
%makedev input
%makedev ip
%makedev ir
%makedev -m 2 iscc
%makedev isdn
%makedev ixj
%makedev -m 4 js
%makedev -m 16 loop
%makedev -m 3 lp
%makedev md
%makedev mouse
%makedev nb
%makedev -m 2 nht
%makedev nst
%makedev -m 3 par
%makedev -m 4 pcd
%makedev pd
%makedev -m 4 pf
%makedev -m 4 pg
%makedev pt
%makedev ptmx
%makedev pty
%makedev qng
%makedev -m 20 ram
%makedev rd
%makedev random
%makedev raw
%makedev rmt
%makedev rtc
%makedev -m 8 scd
%makedev sd
%makedev -m 16 sg
%makedev smpt
%makedev sound
%makedev st
%makedev systty
%makedev -m 4 staliomem
%makedev std
%makedev tlk
%makedev -m 32 tty
%makedev urandom
%makedev usb
%makedev -m 4 v4l
%makedev vcs
%makedev vmmon
%makedev -m 4 vnet
%makedev -m 4 winradio
%makedev xda
%makedev xdb
%ifarch sparc sparc64
%makedev kbd
%makedev openprom
ln -s sunmouse $RPM_BUILD_ROOT/dev/mouse
%makedev audioctl
for dev in aztcd mcd mcdx sbpcd1 cdu31a sbpcd2 scd3 sjcd cdu535 sbpcd3 sonycd cm206cd sbpcd gscd sbpcd0 atibm inportbm logibm ; do
	rm -f $RPM_BUILD_ROOT/dev/$dev
done
%endif

# Make subdirectories we otherwise would have nothing to do with.
install -d -m 755 $RPM_BUILD_ROOT/dev/pts

%clean
rm -fr $RPM_BUILD_ROOT

%pre -n dev
/usr/sbin/groupadd -g 19 -r -f floppy > /dev/null 2>/dev/null ||:
exit 0

%post -n dev
if [ -f /etc/fstab ] ; then
  # add /dev/pts to fstab if fstab exists (install2 does it during install)
  if grep 'devpts' /etc/fstab >/dev/null 2>&1 ; then 
      # correct permissions from broken dev packages
      TMP=$(mktemp /tmp/fstab.XXXXXX)
      sed 's/devpts.*mode=0622/devpts  gid=5,mode=620/g' < /etc/fstab > $TMP && cat $TMP > /etc/fstab || { echo "failed to correct devpts permissions in /etc/fstab" 1>&2 ; exit 1 ; }
      rm -f $TMP
  else
    # note that we do not disallow comments; we wish to allow people
    # to comment it out if they so desire.
    if [ $(grep '/proc' /dev/fstab 2>/dev/null | wc -l) -gt 1 ] ; then
      # ugly but robust
      echo '
none                    /dev/pts                devpts  gid=5,mode=620        0 0' \
        >> /etc/fstab || { echo "failed to add devpts filesystem to /etc/fstab" 1>&2 ; exit 1 ; }
    else
      # beautiful in the common case
      TMP=$(mktemp /tmp/fstab.XXXXXX)
      sed '/\/proc/a\
none                    /dev/pts                devpts  gid=5,mode=620        0 0
          ' < /etc/fstab > $TMP && cat $TMP > /etc/fstab || { echo "failed to add devpts filesystem to /etc/fstab" 1>&2 ; exit 1 ; }
      rm -f $TMP
    fi
  fi
fi

%files
%defattr(-,root,root)
%doc COPYING
/dev/MAKEDEV
%{_mandir}/man8/*
%config %{_sysconfdir}/makedev.d/*

%files -n dev
%ghost /dev/log
/dev/[a-km-zA-LN-Z]*
/dev/l[a-np-z]*
/dev/logi*
/dev/loop*

%changelog
* Tue Sep 12 2000 Bill Nottingham <notting@redhat.com>
- fixes for some sparc devices that fell out

* Thu Aug 24 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change some devices that could be used for dialing to root:uucp/0660 perms

* Wed Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- up the number of SCSI CD-ROM devices we know about from 8 to 32, but only
  create 8 at build-time
* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove both temp files generated in the %post (#16325)

* Mon Aug 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- change the sense of sga/sg0 node/symlink stuff to match kernel docs (#16056)

* Wed Aug  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- add the netlink device, and mark it as undocumented (#15785)
- add /dev/log socket as a ghost using Erik's mksocket
- add in devices that start with "m"
- change /dev/i20 to /dev/i2o
- fix a parser bug

* Tue Aug  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- add cciss device nodes (#14878)

* Mon Aug  7 2000 Crutcher Dunnavant <crutcher@redhat.com>
- make the usb lp? devices group-owned by 'lp'

* Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- make floppy disk devices group-accessible by the floppy group

* Wed Jul 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- stop making bogus symlinks (#14225)
- add "console" alias for tty devices to match man page
- add "qic" alias for tape devices to match man page

* Mon Jul 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- change group of the "lp" devices to "lp"
- comment out the ACSI disks, which probably shouldn't have those names
- incorporate the release number into the tarball file name

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix symlink creation where both the link and a target are in a subdirectory
- add efirtc in its own "ia64" control file

* Wed Jul  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- add a -i flag so that I can test in a CVS checkout
- use correct IBCS compatibility device entries
- fix symlink creation so that it works as intended

* Tue Jul  4 2000 Matt Wilson <msw@redhat.com>
- moved the Prereq: /usr/sbin/groupadd from the MAKEDEV package to the
  dev package
- added the %post script to the dev package to add devpts mounting

* Sat Jul  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- make the man page 644, not 755

* Mon Jun 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- update from 8 to 16 loop devices

* Mon Jun 26 2000 Nalin Dahyabhai <nalin@redhat.com>
- add input/mice and md devices to the dev package
- limit loop devices to 16 in config files (this is a hard-coded kernel limit)

* Mon Jun 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- add the "floppy" group to the system in the dev package's pre-install

* Mon Jun 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix a typo in the devices list
- move non-standard names from linux-2.2 list to redhat list

* Sat Jun 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS packaging for a shiny new version
